The system was upgraded and everything is back online. If you experience any issues, please send an email to atlas_admin@aei.mpg.de - thanks a lot for your patience!

Commit 4188e542 authored by David Keitel's avatar David Keitel

setup fixes

 -drop where="pyfstat" from find_packages()
 -fix license file path
 -add descriptions
 -remove pycuda from requirements.txt
 -add lalsuite to both install_requires and requirements.txt
 -refs #17
parent 24b8f256
[metadata]
license_file = LICENSE.txt
license_file = LICENSE
[flake8]
exclude = .git,docs,build,dist,tests,*__init__.py
......
......@@ -13,7 +13,10 @@ setup(
version="0.2",
author="Gregory Ashton",
author_email="gregory.ashton@ligo.org",
packages=find_packages(where="pyfstat"),
description="python wrappers for lalpulsar F-statistic code",
long_description=long_description,
long_description_content_type='text/markdown',
  • 'black' style uses double-quotes, not single-quotes, that's why the 'black' test step fails now.

Please register or sign in to reply
packages=find_packages(),
include_package_data=True,
package_data={
"pyfstat": [
......@@ -31,5 +34,6 @@ setup(
"bashplotlib",
"peakutils",
"pathos",
"lalsuite",
],
)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment